Provides an index of all the contact lists with data.
To get list, make a request to this URL:
| GET http://one-api.bsg.world/api/groups |
| Parameter | Required | Type | Description |
|---|---|---|---|
| page[limit] | No | integer |
The number of groups in the response. The value range for the parameter: min – 15, max – 500.
The default is 30. |
| page[offset] | No | integer | Get groups starting from offset. The default is 0. |
| Parameter | Type | Description |
|---|---|---|
| id | integer | The unique identifier of the contact list automatically generated by the BSG system when creating the contact list. |
| name | string | Contact list name. |
| description | string | Contact list description. |
| default | boolean | If the contact list is a default one. Possible values: true or false. |
| created_at | datetime | Date and time when the contact list was created. Display format ― Y-m-d H:i:s |
| total | integer | Total number of the existing contact lists. |
If request is successful, you will receive a response:
{
"data": [
{
"id": 1,
"name": "string",
"description": "string",
"default": 0,
"created_at": "2022-04-28 14:21:16"
}
],
"total": 1
}